> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Count By Teams

> Retrieve a paginated list of count by teams. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /staff-stats/teams
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /staff-stats/teams:
    get:
      tags:
        - Staff Stats
      summary: Count By Teams
      description: >-
        Retrieve a paginated list of count by teams. Use the `fields` parameter
        to customize response fields.
      operationId: listStaffStatsTeams
      parameters:
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - team
                - count
                - team.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* team, count"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - team
                - '-team'
                - count
                - '-count'
            default: team
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: id
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by id
          style: form
          explode: false
        - in: query
          name: id:gt
          schema:
            type: integer
          required: false
          description: Filter by id greater than
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/StaffStatsStatus'
          required: false
          description: Filter by status
        - in: query
          name: status:not
          schema:
            $ref: '#/components/schemas/StaffStatsStatus'
          required: false
          description: Filter by status not equal to
        - in: query
          name: league
          schema:
            type: string
          required: false
          description: Filter by league slug
        - in: query
          name: team
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by team ID
          style: form
          explode: false
        - in: query
          name: team.teamType
          schema:
            $ref: '#/components/schemas/TeamType'
          required: false
          description: Filter by team.teamType
        - in: query
          name: season
          schema:
            type: string
          required: false
          description: Filter by season slug
        - in: query
          name: season:not
          schema:
            type: string
          required: false
          description: Filter by season slug not equal to
        - in: query
          name: season:from
          schema:
            type: string
          required: false
          description: Filter by season slug greater or equal to
        - in: query
          name: season:to
          schema:
            type: string
          required: false
          description: Filter by season slug less than or equal to
        - in: query
          name: staff
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by staff ID
          style: form
          explode: false
        - in: query
          name: staff.nationality
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.nationality
          style: form
          explode: false
        - in: query
          name: staff.secondaryNationality
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.secondaryNationality
          style: form
          explode: false
        - in: query
          name: staff.playingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.playingInLeague
          style: form
          explode: false
        - in: query
          name: staff.notPlayingInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.notPlayingInLeague
          style: form
          explode: false
        - in: query
          name: staff.hasPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.hasPlayedInLeague
          style: form
          explode: false
        - in: query
          name: staff.hasPlayedInLeague.season
          schema:
            type: string
          required: false
          description: Filter by staff.hasPlayedInLeague.season
        - in: query
          name: staff.neverPlayedInLeague
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by staff.neverPlayedInLeague
          style: form
          explode: false
        - in: query
          name: staff.playingInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by staff.playingInTeam
          style: form
          explode: false
        - in: query
          name: staff.notPlayingInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by staff.notPlayingInTeam
          style: form
          explode: false
        - in: query
          name: staff.hasPlayedInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by staff.hasPlayedInTeam
          style: form
          explode: false
        - in: query
          name: staff.hasPlayedInTeam.season
          schema:
            type: string
          required: false
          description: Filter by staff.hasPlayedInTeam.season
        - in: query
          name: staff.neverPlayedInTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by staff.neverPlayedInTeam
          style: form
          explode: false
        - in: query
          name: role
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by role
          style: form
          explode: false
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of count by teams.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CountByTeam'
          x-field-info:
            defaultFields:
              - team
              - count
            extendedFields: []
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    StaffStatsStatus:
      type: string
      enum:
        - rostered
        - not-active-on-team
        - not-active
    TeamType:
      type: string
      enum:
        - club
        - international
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    CountByTeam:
      type: object
      properties:
        team:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        count:
          type: integer
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        extraName:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        logo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        founded:
          type: integer
          nullable: true
        city:
          type: string
          nullable: true
        colors:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/TeamStatus'
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        secondaryLeague:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        teamType:
          $ref: '#/components/schemas/TeamType'
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        arena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        secondaryArena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        capHit:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        currentRosterSize:
          type: integer
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            newsUrl:
              type: string
              nullable: true
            newspaperUrl:
              type: string
              nullable: true
            tvUrl:
              type: string
              nullable: true
            radioUrl:
              type: string
              nullable: true
            blogUrl:
              type: string
              nullable: true
            forumUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
            lineCombinationsUrl:
              type: string
              nullable: true
            nationNetworkUrl:
              type: string
              nullable: true
        notes:
          type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
        mhrRating:
          type: number
          format: float
          nullable: true
        mhrId:
          type: integer
          nullable: true
        mhrUrl:
          type: string
          nullable: true
    TeamStatus:
      type: string
      enum:
        - active
        - not-active
    League:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        fullName:
          type: string
          nullable: true
        commonName:
          type: string
          nullable: true
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        leagueType:
          type: string
          nullable: true
        leagueLevel:
          type: string
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        region:
          type: string
          nullable: true
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        logo:
          properties:
            url:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        numberOfTeams:
          type: integer
          nullable: true
        primaryDraftType:
          allOf:
            - $ref: '#/components/schemas/DraftType'
          nullable: true
        existsInLeagueEndpoint:
          type: boolean
        hasProjectedStats:
          type: boolean
        historicalData:
          type: array
          items:
            properties:
              slug:
                type: string
              name:
                type: string
              fullName:
                type: string
                nullable: true
              firstSeason:
                $ref: '#/components/schemas/Season'
              lastSeason:
                allOf:
                  - $ref: '#/components/schemas/Season'
                nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
            statsUrl:
              type: string
            newsUrls:
              type: array
              items:
                type: string
            forumUrl:
              type: string
            facebook:
              type: string
            x:
              type: string
              nullable: true
            twitter:
              type: string
            instagram:
              type: string
            youtube:
              type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
          nullable: true
        _links:
          type: array
          items:
            type: string
          nullable: true
    TeamClass:
      type: string
      enum:
        - men
        - women
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
    Arena:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        location:
          type: string
          nullable: true
        yearOfConstruction:
          type: integer
          nullable: true
        capacity:
          type: integer
          nullable: true
        infoAsHTML:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        _links:
          type: array
          items:
            type: string
        updatedAt:
          type: string
    ScheduleType:
      type: string
      enum:
        - default
        - summer
        - null
      nullable: true
    DraftType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          $ref: '#/components/schemas/League'
        _links:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````